import { Atom } from "../../atom";
import { ButtonAtom } from "../button/button.atom";
import { CheckboxAtom } from "../checkbox/checkbox.atom";
import { PopupAtom } from "../popup/popup.atom";
export declare enum SelectionType {
    All = "Select all items on this page",
    UnselectAll = "Unselect all items on this page",
    None = "Unselect all items",
    AllPages = "Select all items on all pages"
}
export declare class SelectorAtom extends Atom {
    static CSS_CLASS: string;
    getPopupAtom(): PopupAtom;
    select(selectionType: SelectionType): Promise<void>;
    selectAppendedToBodyItem(selectionType: SelectionType): Promise<void>;
    getCheckbox(): CheckboxAtom;
    getSelectorButton(): ButtonAtom;
    clickItemByText(title: string): Promise<void>;
    clickAppendedToBodyItemByText(title: string): Promise<void>;
    private getToggle;
    private isOpened;
}
